Bug 181677 - mh-e can't find `inc' and `mhl' on multilib archs
mh-e can't find `inc' and `mhl' on multilib archs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nmh (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Josh Bressers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-15 15:30 EST by Jón Fairbairn
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 08:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jón Fairbairn 2006-02-15 15:30:54 EST
Description of problem:
starting mh-e (eg by attempting to read mail or compose) results in an error
"Cannot find the commands `inc' and `mhl' and the file `components'"

Version-Release number of selected component (if applicable):
emacs-common-21.4-5

How reproducible:
every time

Steps to Reproduce:
1. start emacs
2. M-x eval-expression (mh-letter-mode)
3.
  
Actual results:
mh-find-progs: Cannot find the commands `inc' and `mhl' and the file `components'

Expected results:
No errors... if you instead try to read mail using mh-e you get the 
same error, and you'd expect to read mail but don't.

Additional info:
problem is that mhl and friends are in /usr/lib64/nmh/on this arch, not /usr/lib/...

workround: put 
 (setq mh-lib-progs "/usr/lib64/nmh/") in .emacs
Comment 1 Jens Petersen 2006-02-16 00:40:50 EST
Thanks for the report: I really think nmh ought to install programs in an
arch independent place, eg move them to /usr/libexec/nmh/ say.

Reassigned to nmh for now.
Comment 2 Josh Bressers 2006-02-16 06:49:12 EST
That's fair.  I'll fix this in the near future then.
Comment 3 Josh Bressers 2006-09-11 08:24:32 EDT
This is fixed in nmh-1_1-19_fc6.  The utility programs are located in
/usr/libexec/nmh now.

Note You need to log in before you can comment on or make changes to this bug.